.image-container {
 
  overflow: hidden;
  display: inline-block;
  position: absolute;
  bottom: 0px;
  right: 40px;
  width: 50%;
  z-index: 1;
}  
  
.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: opacity 0.5s ease;
}  
  
.image-container:hover .hover-image {  
  opacity: 1;
}  
  
.image-container:hover .default-image {  
  opacity: 0;
}


.huake-indexA {
    padding: 60px 0;
    /* background: #F2F2F2; */
     position: relative;
    max-width: 1920px;
    margin: auto;
}
.huake-indexA .container{
    width:100%;
    max-width:100%
}
.huake-indexA .tit {
    text-align: center;
    max-width: 1400px;
    margin: auto;
    text-align: justify;
}
.huake-indexA .tit span{
 color: var(--color-primary);
}
.huake-indexA .tit a:hover{
    color: var(--color-primary);
}
.huake-indexA .tit a{
    /* width: 30%; */
    display: block;
    bottom: 0;
    /* padding-top: 30px; */
    height: auto;
    /* font-weight: bold; */
    text-align: right;
    color: #7A7A7A;
    /* font-family: var(--title-font-family); */
    font-size: 18px;
}
.huake-indexA .tit h3 {
    font-size: clamp(24px, 2.4vw, 46px);
    color: #1C1C1C;
    text-transform: uppercase;
    width: 100%;
    text-align: center;
    line-height: 1;
    font-weight: 700;
}
.huake-indexA .tit  h2 span{
 color: var(--color-primary);
}
.huake-indexA .tit p {
    font-size: 18px;
    color: #343434;
    line-height: 36px;
    margin: 20px 0 0;
    width: 100%;
    /* display: inline-flex; */
    text-align: center;
}

.huake-indexA dl {
    /* margin-top: 50px; */
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    -webkit-justify-content: flex-start;
    -moz-justify-content: flex-start;
    -ms-justify-content: flex-start;
    justify-content: flex-start;
}

.huake-indexA dl dd {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    position: relative;
    width: 48%;
    border-right: 1px solid #fff;
    border-bottom: 1px solid #fff;
    box-sizing: border-box;
    /* padding: 30px; */
    margin: 1%;
    min-height: 400px;
    /* background: #f4f5f7; */
    /* z-index: -9; */
}
.huake-indexA dl dd .cons1 h6{
    font-size: 23px;
}
.huake-indexA dl dd .cons1{
    width: 100% !important;
    display: inline-block;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 50%;
    z-index: 0;
    padding: 60px 100px;
}
.huake-indexA dl dd .cons1 p{
     line-height: 24px;
     margin: 15px 0 0 0;
     font-size: 16px;
}
.huake-indexA dl dd  .cons1>.more {
    /* border-radius: 50%; */
    /* border: 1px solid #fff; */
    /* width: 45px; */
    height: 45px;
    line-height: 45px;
    display: inline-block;
    text-align: center;
    margin: 15px 0 0;
    color: var(--color-primary);
    font-family: var(--title-font-family);
}
.huake-indexA dl dd::after {
    display: none;
    /* content: ''; */
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 99;
    transition: all 0.3s ease 0s;
}

.huake-indexA dl dd::before {
    position: absolute;
    /* content: ''; */
    opacity: 0;
    top: 10px;
    right: 10px;
    bottom: 10px;
    left: 10px;
    z-index: 102;
    /* border: 1px solid rgba(255, 255, 255, 0.6); */
    -webkit-transform: scale(0);
    transform: scale(0);
}

.huake-indexA dl dd > a {
    display: block;
    width: 100%;
    background: #f4f5f7;
}

.huake-indexA dl dd img {
    display: block;
    width: 100%;
}

.huake-indexA dl dd ins {
    height: 56px;
    line-height: 56px;
    padding: 0 8px;
    text-align: center;
    background: rgba(0, 0, 0, .5);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: #fff;
    font-size: 18px;
    text-decoration: none;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: none;
}

.huake-indexA dl dd .txt {
    position: absolute;
    left: 0;
    /* top: calc(50% - 198px / 2); */
    width: 100%;
    /* z-index: 105; */
    padding: 0 20px;
    box-sizing: border-box;
    text-align: center;
    opacity: 0;
    -webkit-transition: opacity 0.2s, -webkit-transform 0.35s;
    transition: opacity 0.2s, transform 0.35s;
    -webkit-transform: scale(0);
    transform: scale(0);
    z-index: 99;
}
.huake-indexA dl dd .txt .cons{
    position: absolute;
    left: 0;
    /* top: calc(50% - 198px / 2); */
    width: 100%;
    z-index: 229;
    padding: 60px 100px;
    box-sizing: border-box;
    text-align: left;
    opacity: 0;
    -webkit-transition: opacity 0.2s, -webkit-transform 0.35s;
    transition: opacity 0.2s, transform 0.35s;
    -webkit-transform: scale(0);
    transform: scale(0);
    /* color: #000; */
    text-shadow: 1px 1px 1px #000;
}

.huake-indexA dl dd .txt h6 {
    font-size: 24px;
    color: #fff;
    text-shadow: 1px 1px 1px #000;
}

.huake-indexA dl dd .txt h6 a {
    /* color: #fff; */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.huake-indexA dl dd .txt h6 a:hover {
    color: var(--color-primary);
}

.huake-indexA dl dd .txt hr {
    background: rgba(255, 255, 255, 0.5);
    width: 30px;
    height: 1px;
    margin: 15px auto 0;
}

.huake-indexA dl dd .txt p {
    font-size: 16px;
    color: #fff;
    line-height: 24px;
    margin: 15px 0 0 0;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
}

.huake-indexA dl dd .txt a.more {
    /* border-radius: 50%; */
    /* border: 1px solid #fff; */
    /* width: 45px; */
    height: 45px;
    line-height: 45px;
    display: inline-block;
    text-align: center;
    margin: 15px 0 0;
    /* color: #e10000; */
    font-weight: bold;
    color: #fff;
}

.huake-indexA dl dd .txt a.more:hover {
    border-color: var(--color-primary);
    color: var(--color-primary);
}

.huake-indexA dl dd .txt a.more i {
   /* color: #e10000;*/
    color:#fff;
    font-size: 16px;
}
.huake-indexA dl dd .txt a.more:hover i {
    color: var(--color-primary);
}

.huake-indexA dl dd:hover::before {
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.huake-indexA dl dd:hover::after {
    display: block;
}

.huake-indexA dl dd:hover .txt {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition-duration: 0.35s;
    transition-duration: 0.35s;
    width: 100%;
    height: 100%;
}

.huake-indexA dl dd:hover .txt .cons {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition-duration: 0.35s;
    transition-duration: 0.35s;
    width: 100%;
    height: 100%;
}

.huake-indexA dl dd:hover ins {
    display: none;
}

@media screen and (max-width:1400px) {
    .huake-indexA dl dd ins {
        font-size: 17px;
    }
    .huake-indexA dl dd .txt h6 a {
        -webkit-line-clamp: 1;
    }
    .huake-indexA dl dd .txt p {
        -webkit-line-clamp: 4;
    }
    .huake-indexA dl dd .txt a.more {
        line-height: 40px;
    }
}

@media screen and (max-width:996px) {
    .huake-indexA dl dd {
        width: 100%;
        display: block;
        float: left;
    }
}

@media screen and (max-width:991px) {
    .huake-indexA {
        padding: 30px 0;
    }



    .huake-indexA .tit p {
        font-size: 14px;
        line-height: 24px;
        margin: 15px 0 0;
    }

    .huake-indexA dl {
        margin-top: 30px;
        display: flex;
        overflow: hidden;
    }

    .huake-indexA dl dd::after,
    .huake-indexA dl dd::before {
        display: none;
    }

    .huake-indexA dl dd ins {
        height: 45px;
        line-height: 45px;
        background: rgba(0, 0, 0, .6);
        font-size: 15px;
    }

    .huake-indexA dl dd .txt {
        display: none;
    }

    .huake-indexA dl dd:hover::before,
    .huake-indexA dl dd:hover::after {
        display: none;
    }

    .huake-indexA dl dd:hover ins {
        display: block;
    }
}

@media screen and (max-width:480px){
  .huake-indexA dl dd .cons1{
    padding: 20px 30px !important;
  }
  .huake-indexA dl dd .cons1 h6{
    font-size: 18px !important;
  }
  .huake-indexA dl dd .cons1 p{
    font-size: 12px !important;
    margin-top: 8px !important;
  }
      .huake-indexA .tit p {
        font-size: 12px;
        line-height: 20px;
        text-align: center;
        margin: 15px auto 0;
        padding-right: 0;
        width: 100%;
    }
    .huake-indexA .tit a{
        font-size:15px
    }
    .huake-indexA dl dd{
      min-height: 300px !important;
    }
    
    
    .image-container:hover .default-image{
      opacity: 1 !important;
    }
    .huake-indexA dl dd:hover ins{
      display: none !important;
    }
    
}

